import Login from "../Login.vue";
import {mount} from "@vue/test-utils";
import { shallowMount } from '@vue/test-utils'
import Service from "../service/Service";
import Contenu from "../Contenu";
import Volet_Base from "../components/Volet_Base";

// Rien a tester dans Index.vue, car c'est juste un "aggrégateur" pour d'autres composants.

test('Contenu', () => {

    const wrapper = shallowMount(Contenu)
    expect(wrapper.vm).toBeTruthy();

    wrapper.vm.choixVariante = jest.fn()
    expect(wrapper.vm.choixVariante).toHaveBeenCalledTimes(0);


    const subComponent = wrapper.findComponent(Volet_Base)
    expect(subComponent.exists()).toBe(true)
})